NetSDS::Feature::Kannel(3pm)

NAME
NetSDS::Feature::Kannel - kannel application feature

SYNOPSIS
        # *****************************************
        # Configuration file fragment

        <feature smsgw>
                class = NetSDS::Feature::Kannel
                sendsms_url = http://10.0.1.2:13013/cgi-bin/sendsms
                sendsms_user = netsds
                sendsms_passwd = topsecret
        </feture>

        # *****************************************
        # Application

        SMSApp->run(
                auto_features => 1,
        );

        package SMSApp;

        sub process {
                ...
                $self->sms->send(
                        from => '1234',
                        to => '380501234567',
                );
        }

        1;

DESCRIPTION
"NetSDS::Feature::Kannel" module provides pluggable API to Kannel from NetSDS application.

CLASS API

new([...])
    Constructor

        my $object = NetSDS::SomeClass->new(%options);

SEE ALSO

•   NetSDS::Kannel

•   NetSDS::Feature

•   NetSDS::App

•   <http://www.kannel.org/>

TODO
None

AUTHOR
Michael Bochkaryov <misha@rattler.kiev.ua>

LICENSE
Copyright (C) 2008-2009 Net Style Ltd.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA